local SunX = 250
local SunY = 150

local WhiteRockX = 370
local WhiteRockY
local CastleY

local ScaleCastle
local ScaleAll

function Visual_1 (timeScene, Relax)
	local T = ease(timeScene, 0, Relax)						
	SunY = lerp(190, 400, T)	
	WhiteRockY = lerp( -50,  290, T)	
	CastleY = lerp( -130,  225, T)
	ScaleCastle = lerp(1, 0.8, T)
	ScaleAll = lerp(0.9, 1, T)
	
	currentMult.Scene1.Cloud02.y = WhiteRockY
	currentMult.Scene1.Cloud02.x = lerp( 300,  290, T)
	currentMult.Scene1.Cloud02.scaleY = ScaleAll
	
	currentMult.Scene1.Island01.y = lerp( 10,  530, T)
	currentMult.Scene1.Island01.x = 50
	currentMult.Scene1.Island01.scaleY = ScaleAll
	
	currentMult.Scene1.Island01.isVisible = 0
	
	currentMult.Scene1.Island02.y = lerp( 30, 480, T)
	currentMult.Scene1.Island02.x = 435
	currentMult.Scene1.Island02.scaleY = ScaleAll
	currentMult.Scene1.Island02.isVisible = 0
	
	currentMult.Scene1.Island03.y = lerp( 40, 420, T)
	currentMult.Scene1.Island03.x = 400	
	currentMult.Scene1.Island03.scaleY = ScaleAll
	currentMult.Scene1.Island03.isVisible = 0
	
	currentMult.Scene1.Rainbow.y = lerp( 50,  400, T)
	currentMult.Scene1.Rainbow.x = 200	
	currentMult.Scene1.Rainbow.isVisible = 0
	
	currentMult.Scene1.Rays.y = SunY -20
	currentMult.Scene1.Rays.x = SunX + 5
	currentMult.Scene1.Rays.isVisible = false
	
	currentMult.Scene1.RockRight01.y = lerp( -400,  135, T)
	currentMult.Scene1.RockRight01.x = 330
	currentMult.Scene1.RockRight01.scaleY = ScaleAll + lerp( 0.05,  0.1, T)
	currentMult.Scene1.RockRight01.isVisible = 0
	
	currentMult.Scene1.RockRight02.y = lerp( -240,   170, T)
	currentMult.Scene1.RockRight02.x = 390
	currentMult.Scene1.RockRight02.scaleY = ScaleAll + lerp( 0.04,  0.08, T)
	currentMult.Scene1.RockRight02.isVisible = 0
	
	currentMult.Scene1.RockRight03.y = lerp( -180,  200, T)
	currentMult.Scene1.RockRight03.x = 390
	currentMult.Scene1.RockRight03.scaleY = ScaleAll + lerp( 0.02,  0.06, T)
	currentMult.Scene1.RockRight03.isVisible = 0
	
	currentMult.Scene1.RockLeft01.y = lerp( -800,  150, T)
	currentMult.Scene1.RockLeft01.x = 227
	currentMult.Scene1.RockLeft01.scaleY = ScaleAll + lerp( 0.05,  0.1, T)
	currentMult.Scene1.RockLeft01.isVisible = 0
	
	currentMult.Scene1.RockLeft02.y = lerp( -250,  150, T)
	currentMult.Scene1.RockLeft02.x = 190
	currentMult.Scene1.RockLeft02.scaleY = ScaleAll + lerp( 0.04,  0.08, T)
	
	currentMult.Scene1.RockLeft03.y = lerp( -150,  240, T)
	currentMult.Scene1.RockLeft03.x = 130
	currentMult.Scene1.RockLeft03.scaleY = ScaleAll + lerp( 0.02,  0.05, T)
	
	currentMult.Scene1.Sky.y = lerp( 100,  200, T)
	currentMult.Scene1.Sky.isVisible = 0	
	
	currentMult.Scene1.Sun.y = SunY
	currentMult.Scene1.Sun.x = SunX
	currentMult.Scene1.Sun.isVisible = false
	
	currentMult.Scene1.Town.y = lerp( -400,  60, T)
	currentMult.Scene1.Town.x = 300
	currentMult.Scene1.Town.scaleY = ScaleAll + lerp( 0.05,  0.1, T)
	currentMult.Scene1.Town.isVisible = 0
	
	currentMult.Scene1.Water.y = WhiteRockY - 270
	currentMult.Scene1.Water.isVisible = 0
	
	currentMult.Scene1.Castle.y = CastleY 
	currentMult.Scene1.Castle.x = 265
	currentMult.Scene1.Castle.scaleY = ScaleAll	
	
	currentMult.Scene1.CastleMirror.y = CastleY-60 + 98*(1 - ScaleCastle)/2 
	currentMult.Scene1.CastleMirror.x = 325
	currentMult.Scene1.CastleMirror.scaleY = ScaleCastle	
	
--	currentMult.Scene1.Smoke.y = CastleY + 70
--	currentMult.Scene1.Smoke.x = lerp(450,  445, T)
--	currentMult.Scene1.Smoke.scaleY = ScaleAll
--	currentMult.Scene1.Smoke.isVisible = 0
	
	currentMult.Scene1.WhiteRock.y = WhiteRockY 
	currentMult.Scene1.WhiteRock.x = WhiteRockX
	currentMult.Scene1.WhiteRock.scaleY = ScaleAll
	currentMult.Scene1.WhiteRock.isVisible = 0		

	currentMult.Scene1.Cloud01.x = 250
	currentMult.Scene1.Cloud01.y = lerp (95, -400, T)
	currentMult.Scene1.Cloud01.isVisible = 0
	
	currentMult.Effect01.Sun1.y = SunY
	currentMult.Effect01.Sun1.x = SunX
	
	currentMult.Effect01.Moloko.y = lerp( -320,  140, T)
	currentMult.Effect01.Moloko.x = 380
	
end                            

function Effects01(timeScene)	
	
end


function Scene1Hide()
	currentMult.Scene1.layer.isVisible = false
	currentMult.Effect01.Moloko:Do("Finish")	
	currentMult.Effect01.Sun1:Do("Finish")	
end 

function Scene1Show()
	currentMult.Scene1.layer.isVisible = true
	currentMult.Effect01.Moloko:Do("Reset")	
	currentMult.Effect01.Sun1:Do("Reset")	
end 


